
Redmine - Defect #14863

FAILED md5sum: redmine-2.3.2.tar.gz checked with md5sum 8.4

2013-09-09 13:01 - Jane Mensch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.3.2

Description

I can't confirm the authenticity of redmine-2.3.2

Related to release process: http://www.redmine.org/projects/redmine/wiki/ReleaseProcess *********************

#software version

$md5sum --version

md5sum (GNU coreutils) 8.4

#redmine

$wget http://rubyforge.org/frs/download.php/77024/redmine-2.3.2.tar.gz

$wget http://rubyforge.org/frs/download.php/77024/redmine-2.3.2.tar.gz.md5

$md5sum -c redmine-2.3.2.tar.gz.md5

redmine-2.3.2.tar.gz: FAILED md5sum: WARNING: 1 of 1 computed checksum did NOT match

History

#1 - 2013-09-09 14:35 - Brett Patterson

If those are the exact URLs you got your files from, then they're wrong.  The actual tarball urls are:

Files http://rubyforge.org/frs/download.php/77023/redmine-2.3.2.tar.gz

md5 http://rubyforge.org/frs/download.php/77024/redmine-2.3.2.tar.gz.md5

Note that the prameteter after download.php is different betweent the two files.  If you download these, files, the md5 sum completes.

pattebre@~/Downloads$ wget http://rubyforge.org/frs/download.php/77023/redmine-2.3.2.tar.gz

--2013-09-09 08:30:30--  http://rubyforge.org/frs/download.php/77023/redmine-2.3.2.tar.gz

Resolving rubyforge.org (rubyforge.org)... 50.56.192.79

Connecting to rubyforge.org (rubyforge.org)|50.56.192.79|:80... connected.

HTTP request sent, awaiting response... 302 Found

Location: http://files.rubyforge.vm.bytemark.co.uk/redmine/redmine-2.3.2.tar.gz [following]

--2013-09-09 08:30:31--  http://files.rubyforge.vm.bytemark.co.uk/redmine/redmine-2.3.2.tar.gz

Resolving files.rubyforge.vm.bytemark.co.uk (files.rubyforge.vm.bytemark.co.uk)... 80.68.94.54

Connecting to files.rubyforge.vm.bytemark.co.uk (files.rubyforge.vm.bytemark.co.uk)|80.68.94.54|:80... connect

ed.

HTTP request sent, awaiting response... 200 OK

Length: 3801029 (3.6M) [application/x-gzip]

Saving to: ‘redmine-2.3.2.tar.gz’

100%[=========================================================================================================

==============================================================================================================

============================================================>] 3,801,029   1.57MB/s   in 2.3s   

2013-09-09 08:30:35 (1.57 MB/s) - ‘redmine-2.3.2.tar.gz’ saved [3801029/3801029]

pattebre@~/Downloads$ wget http://rubyforge.org/frs/download.php/77024/redmine-2.3.2.tar.gz.md5

--2013-09-09 08:24:25--  http://rubyforge.org/frs/download.php/77024/redmine-2.3.2.tar.gz.md5

Resolving rubyforge.org (rubyforge.org)... 50.56.192.79

Connecting to rubyforge.org (rubyforge.org)|50.56.192.79|:80... connected.

HTTP request sent, awaiting response... 302 Found

Location: http://files.rubyforge.vm.bytemark.co.uk/redmine/redmine-2.3.2.tar.gz.md5 [following]

--2013-09-09 08:24:27--  http://files.rubyforge.vm.bytemark.co.uk/redmine/redmine-2.3.2.tar.gz.md5

Resolving files.rubyforge.vm.bytemark.co.uk (files.rubyforge.vm.bytemark.co.uk)... 80.68.94.54
Connecting to files.rubyforge.vm.bytemark.co.uk (files.rubyforge.vm.bytemark.co.uk)|80.68.94.54|:80... connect

ed.

HTTP request sent, awaiting response... 200 OK

Length: 55 [application/octet-stream]

Saving to: ‘redmine-2.3.2.tar.gz.md5’

100%[=========================================================================================================

==============================================================================================================

============================================================>] 55          --.-K/s   in 0s      

2013-09-09 08:24:28 (3.33 MB/s) - ‘redmine-2.3.2.tar.gz.md5’ saved [55/55]

pattebre@~/Downloads$ md5sum -c redmine-2.3.2.tar.gz.md5 

redmine-2.3.2.tar.gz: OK

#2 - 2013-09-09 14:43 - Jane Mensch

- Status changed from New to Resolved

Thanks Brett Patterson!

The provided URL solved the issue.

#3 - 2013-09-09 23:09 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

#4 - 2013-09-10 04:14 - Toshi MARUYAMA

- Category changed from Documentation to Website (redmine.org)
